NuevoPacienteFragment

com.uva.rafael.tfg_goniometer.view.fragments

## Class NuevoPacienteFragment

- java.lang.Object
- - android.app.Fragment
  - - com.uva.rafael.tfg_goniometer.view.fragments.NuevoPacienteFragment

- All Implemented Interfaces:
    android.content.ComponentCallbacks, android.content.ComponentCallbacks2, android.view.View.OnCreateContextMenuListener, ViewFunctions.NuevoPacienteFunctions

      public class NuevoPacienteFragment
      extends android.app.Fragment
      implements ViewFunctions.NuevoPacienteFunctions

  Esta clase es el `Fragment` que se encarga de, cuando el usuario quiere añadir un nuevo paciente a la Base de Datos, recoger toda la informacion que ha introducido este, enviarla al Presentador `NuevoPacientePresenter` y finalmente mostrar un mensaje indicando si se ha añadido el paciente con exito, o ha ocurrido algun error durante el proceso.

  Esta clase forma parte de la aplicacion TFG-Goniometer, desarrollada para el Trabajo de Fin de Grado - Grado en Ingenieria Informatica (Universidad de Valladolid)

  Version:
    1.0
  Author:
    Rafael Matamoros Luque
  See Also:
    `NuevoPacientePresenter`

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class android.app.Fragment

      `android.app.Fragment.InstantiationException, android.app.Fragment.SavedState`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) NuevoPacientePresenter` | `presenter`

    - ### Fields inherited from interface android.content.ComponentCallbacks2

      `TRIM_MEMORY_BACKGROUND, TRIM_MEMORY_COMPLETE, TRIM_MEMORY_MODERATE, TRIM_MEMORY_RUNNING_CRITICAL, TRIM_MEMORY_RUNNING_LOW, TRIM_MEMORY_RUNNING_MODERATE, TRIM_MEMORY_UI_HIDDEN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NuevoPacienteFragment()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `displayErrorDatabase()` Metodo que muestra un mensaje de error cuando se ha intentado introducir un nuevo paciente en la Base de Datos.
    `void` | `displayErrorExistingPatient()` Metodo que muestra un mensaje de error cuando el usuario ha intentado introducir un paciente con el mismo nombre e ID que uno ya existente en la Base de Datos.
    `void` | `displayErrorUser()` Metodo que muestra un mensaje de error cuando el usuario ha introducido algun dato erroneo, o no ha rellenado alguno de los campos obligatorios al almacenar un nuevo paciente.
    `void` | `displaySuccess()` Metodo que muestra un mensaje de exito cuando se ha logrado almacenar correctamente un paciente en la Base de Datos.
    `android.view.View` | `onCreateView(android.view.LayoutInflater inflater, android.view.ViewGroup container, android.os.Bundle savedInstanceState)` Metodo llamado para instanciar el `Fragment` con su layout asociada (R.layout.nuevo_paciente_fragment, en este caso).
    `void` | `onDestroy()` Perform any final cleanup before an activity is destroyed.

    - ### Methods inherited from class android.app.Fragment

      `dump, equals, getActivity, getAllowEnterTransitionOverlap, getAllowReturnTransitionOverlap, getArguments, getChildFragmentManager, getContext, getEnterTransition, getExitTransition, getFragmentManager, getHost, getId, getLoaderManager, getParentFragment, getReenterTransition, getResources, getRetainInstance, getReturnTransition, getSharedElementEnterTransition, getSharedElementReturnTransition, getString, getString, getTag, getTargetFragment, getTargetRequestCode, getText, getUserVisibleHint, getView, hashCode, instantiate, instantiate, isAdded, isDetached, isHidden, isInLayout, isRemoving, isResumed, isVisible, onActivityCreated, onActivityResult, onAttach, onAttach, onAttachFragment, onConfigurationChanged, onContextItemSelected, onCreate, onCreateAnimator, onCreateContextMenu, onCreateOptionsMenu, onDestroyOptionsMenu, onDestroyView, onDetach, onHiddenChanged, onInflate, onInflate, onInflate, onLowMemory, onMultiWindowModeChanged, onOptionsItemSelected, onOptionsMenuClosed, onPause, onPictureInPictureModeChanged, onPrepareOptionsMenu, onRequestPermissionsResult, onResume, onSaveInstanceState, onStart, onStop, onTrimMemory, onViewCreated, onViewStateRestored, registerForContextMenu, requestPermissions, setAllowEnterTransitionOverlap, setAllowReturnTransitionOverlap, setArguments, setEnterSharedElementCallback, setEnterTransition, setExitSharedElementCallback, setExitTransition, setHasOptionsMenu, setInitialSavedState, setMenuVisibility, setReenterTransition, setRetainInstance, setReturnTransition, setSharedElementEnterTransition, setSharedElementReturnTransition, setTargetFragment, setUserVisibleHint, shouldShowRequestPermissionRationale, startActivity, startActivity, startActivityForResult, startActivityForResult, startIntentSenderForResult, toString, unregisterForContextMenu`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### presenter

          @Inject
          NuevoPacientePresenter presenter

  - ### Constructor Detail

    - #### NuevoPacienteFragment

          public NuevoPacienteFragment()

  - ### Method Detail

    - #### onCreateView

          @Nullable
          public android.view.View onCreateView(android.view.LayoutInflater inflater,
                                                          @Nullable
                                                          android.view.ViewGroup container,
                                                          android.os.Bundle savedInstanceState)

      Metodo llamado para instanciar el `Fragment` con su layout asociada (R.layout.nuevo_paciente_fragment, en este caso).

      Se encarga, simplemente, de recoger la informacion introducida por el usuario y enviarla a `NuevoPacientePresenter` cuando este pulse sobre el boton "GUARDAR".

      Overrides:
        `onCreateView` in class `android.app.Fragment`
      Parameters:
        `inflater` - The LayoutInflater object that can be used to inflate any view in the fragment.
        `container` - If non-null, this is the parent view that the fragment's UI should be attached to. The fragment should not add the view itself, but this can be used to generate the LayoutParams of the view.
        `savedInstanceState` - If non-null, this fragment is being re-constructed from a previous saved state as given here. Return the View for the fragment's UI, or null.

    - #### displaySuccess

          public void displaySuccess()

      Metodo que muestra un mensaje de exito cuando se ha logrado almacenar correctamente un paciente en la Base de Datos.
      Specified by:
        `displaySuccess` in interface `ViewFunctions.NuevoPacienteFunctions`

    - #### displayErrorDatabase

          public void displayErrorDatabase()

      Metodo que muestra un mensaje de error cuando se ha intentado introducir un nuevo paciente en la Base de Datos.
      Specified by:
        `displayErrorDatabase` in interface `ViewFunctions.NuevoPacienteFunctions`

    - #### displayErrorUser

          public void displayErrorUser()

      Metodo que muestra un mensaje de error cuando el usuario ha introducido algun dato erroneo, o no ha rellenado alguno de los campos obligatorios al almacenar un nuevo paciente.
      Specified by:
        `displayErrorUser` in interface `ViewFunctions.NuevoPacienteFunctions`

    - #### displayErrorExistingPatient

          public void displayErrorExistingPatient()

      Metodo que muestra un mensaje de error cuando el usuario ha intentado introducir un paciente con el mismo nombre e ID que uno ya existente en la Base de Datos.
      Specified by:
        `displayErrorExistingPatient` in interface `ViewFunctions.NuevoPacienteFunctions`

    - #### onDestroy

          public void onDestroy()

      Perform any final cleanup before an activity is destroyed.
      Overrides:
        `onDestroy` in class `android.app.Fragment`